Package org.apache.sling.feature.maven.mojos

# Class FeatureLauncherMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.FeatureLauncherMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="launch-features", requiresProject=true, threadSafe=true) public class FeatureLauncherMojo extends AbstractIncludingFeatureMojo
Launches the given Feature File

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CFG_ARTIFACT_CLASH_OVERRIDES`
`static final String`
`CFG_CACHE_DIRECTORY`
`static final String`
`CFG_EXTENSION_CONFIGURATIONS`
`static final String`
`CFG_FEATURE_ARCHIVE_CLASSIFIERS`
`static final String`
`CFG_FEATURE_ARCHIVE_FILES`
`static final String`
`CFG_FEATURE_ARCHIVE_IDS`
`static final String`
`CFG_FRAMEWORK_ARTIFACTS`
`static final String`
`CFG_FRAMEWORK_PROPERTIES`
`static final String`
`CFG_FRAMEWORK_VERSION`
`static final String`
`CFG_HOME_DIRECTORY`
`static final String`
`CFG_REPOSITORY_URL`
`static final String`
`CFG_VARIABLE_VALUES`
`static final String`
`CFG_VERBOSE`

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`FeatureLauncherMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CFG_FEATURE_ARCHIVE_FILES

public static final String CFG_FEATURE_ARCHIVE_FILES

See Also:
  - Constant Field Values

### CFG_FEATURE_ARCHIVE_IDS

public static final String CFG_FEATURE_ARCHIVE_IDS

See Also:
  - Constant Field Values

### CFG_FEATURE_ARCHIVE_CLASSIFIERS

public static final String CFG_FEATURE_ARCHIVE_CLASSIFIERS

See Also:
  - Constant Field Values

### CFG_ARTIFACT_CLASH_OVERRIDES

public static final String CFG_ARTIFACT_CLASH_OVERRIDES

See Also:
  - Constant Field Values

### CFG_REPOSITORY_URL

public static final String CFG_REPOSITORY_URL

See Also:
  - Constant Field Values

### CFG_FRAMEWORK_PROPERTIES

public static final String CFG_FRAMEWORK_PROPERTIES

See Also:
  - Constant Field Values

### CFG_VARIABLE_VALUES

public static final String CFG_VARIABLE_VALUES

See Also:
  - Constant Field Values

### CFG_VERBOSE

public static final String CFG_VERBOSE

See Also:
  - Constant Field Values

### CFG_CACHE_DIRECTORY

public static final String CFG_CACHE_DIRECTORY

See Also:
  - Constant Field Values

### CFG_HOME_DIRECTORY

public static final String CFG_HOME_DIRECTORY

See Also:
  - Constant Field Values

### CFG_EXTENSION_CONFIGURATIONS

public static final String CFG_EXTENSION_CONFIGURATIONS

See Also:
  - Constant Field Values

### CFG_FRAMEWORK_VERSION

public static final String CFG_FRAMEWORK_VERSION

See Also:
  - Constant Field Values

### CFG_FRAMEWORK_ARTIFACTS

public static final String CFG_FRAMEWORK_ARTIFACTS

See Also:
  - Constant Field Values

## Constructor Details

### FeatureLauncherMojo

public FeatureLauncherMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`